import { API, User, WikiPage } from "./index.js";
export declare namespace Home {
    namespace Search {
        /**
         * Look for a user like you would on the website!
         * @param query What you would put in the searchbar
         * @param page You normally get the first **20 results**, but if page is 2, you'd get results 21 to 40 instead for example! (defaults to **1**)
         */
        function getUsers(this: API, query: string, page?: number): Promise<{
            data: User[];
            total: number;
        }>;
        /**
         * Look for a wiki page like you would on the website!
         * @param query What you would put in the searchbar
         * @param page You normally get the first **50 results**, but if page is 2, you'd get results 51 to 100 instead for example! (defaults to **1**)
         */
        function getWikiPages(this: API, query: string, page?: number): Promise<{
            data: WikiPage[];
            total: number;
        }>;
    }
}
