var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
export var Home;
(function (Home) {
    let Search;
    (function (Search) {
        /**
         * Look for a user like you would on the website!
         * @param query What you would put in the searchbar
         * @param page You normally get the first **20 results**, but if page is 2, you'd get results 21 to 40 instead for example! (defaults to **1**)
         */
        function getUsers(query, page = 1) {
            return __awaiter(this, void 0, void 0, function* () {
                const response = yield this.request("get", "search", { mode: "user", query, page });
                return response.user; // It's the only property
            });
        }
        Search.getUsers = getUsers;
        /**
         * Look for a wiki page like you would on the website!
         * @param query What you would put in the searchbar
         * @param page You normally get the first **50 results**, but if page is 2, you'd get results 51 to 100 instead for example! (defaults to **1**)
         */
        function getWikiPages(query, page = 1) {
            return __awaiter(this, void 0, void 0, function* () {
                const response = yield this.request("get", "search", { mode: "wiki_page", query, page });
                return response.wiki_page; // It's the only property
            });
        }
        Search.getWikiPages = getWikiPages;
    })(Search = Home.Search || (Home.Search = {}));
})(Home || (Home = {}));
